## org.gnu.gtk
Class AccelLabel

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Misc
                      org.gnu.gtk.Label
                          org.gnu.gtk.AccelLabel

public class AccelLabel
extends Label

The AccelLabel widget is a subclass of Label that also displays an accelerator key on the right side of the label text, e.g. 'Ctrl+S'. It is commonly used in menus to show the keyboard shortcut for the command.

The accelerator key to display is not set explicitly. Instead, the AccelLabel displays the accelerator which have been added to a particular widget. This widget is set by calling setAccelWidget().

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`AccelLabel(Handle handle)` Construct a AccelLabel using a handle to a native resource.
`AccelLabel(java.lang.String str)` Create an AccelLabel.

Method Summary
`Widget` `getAccelWidget()` Retrieve the widget for this AccelLabel
`int` `getAccelWidth()` Returns the width needed to display the accelerator key(s).
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static Handle` `gtk_accel_label_get_accel_widget(Handle accel_label)`
`protected static int` `gtk_accel_label_get_accel_width(Handle accel_label)`
`protected static int` `gtk_accel_label_get_type()` BEGINNING OF GENERATED CODE
`protected static Handle` `gtk_accel_label_new(java.lang.String str)`
`protected static boolean` `gtk_accel_label_refetch(Handle accel_label)`
`protected static void` `gtk_accel_label_set_accel_widget(Handle accel_label, Handle accelWidget)`
`void` `setAccelWidget(Widget accelWidget)` Set the widget for this AccelLabel

Methods inherited from class org.gnu.gtk.Label

`getAngle, getAttributes, getEllipsize, getJustification, getLabel, getLineWrap, getMaxWidthChars, getMnemonicWidget, getSelectable, getSelected, getSelectionEnd, getSelectionStart, getSingleLineMode, getText, getUseMarkup, getUseMnemonic, getWidthChars, gtk_label_get_attributes, gtk_label_get_justify, gtk_label_get_label, gtk_label_get_layout_offsets, gtk_label_get_layout, gtk_label_get_line_wrap, gtk_label_get_mnemonic_keyval, gtk_label_get_mnemonic_widget, gtk_label_get_selectable, gtk_label_get_selection_bounds, gtk_label_get_text, gtk_label_get_type, gtk_label_get_use_markup, gtk_label_get_use_underline, gtk_label_new_with_mnemonic, gtk_label_new, gtk_label_select_region, gtk_label_set_attributes, gtk_label_set_justify, gtk_label_set_label, gtk_label_set_line_wrap, gtk_label_set_markup_with_mnemonic, gtk_label_set_markup, gtk_label_set_mnemonic_widget, gtk_label_set_pattern, gtk_label_set_selectable, gtk_label_set_text_with_mnemonic, gtk_label_set_text, gtk_label_set_use_markup, gtk_label_set_use_underline, select, setAngle, setAttributes, setEllipsize, setJustification, setLabel, setLineWrap, setMarkup, setMarkup, setMaxWidthChars, setMnemonicWidget, setSelectable, setSingleLineMode, setText, setUnderlinePattern, setUseMarkup, setUseMnemonic, setWidthChars`

Methods inherited from class org.gnu.gtk.Misc
`getXAlign, getXPadding, getYAlign, getYPadding, gtk_misc_get_alignment, gtk_misc_get_padding, gtk_misc_get_type, gtk_misc_set_alignment, gtk_misc_set_padding, setAlignment, setPadding`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getEventListenerClass, getEventType, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccelLabel

    public AccelLabel(java.lang.String str)

  Create an AccelLabel.

### AccelLabel

    public AccelLabel(Handle handle)

  Construct a AccelLabel using a handle to a native resource.

Method Detail

### setAccelWidget

    public void setAccelWidget(Widget accelWidget)

  Set the widget for this AccelLabel

### getAccelWidget

    public Widget getAccelWidget()

  Retrieve the widget for this AccelLabel

### getAccelWidth

    public int getAccelWidth()

  Returns the width needed to display the accelerator key(s). This is used by menus to align all of the MenuItem widgets and shouldn't be needed by applications.

  Returns:
    The width needed to display the accelerator keys.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_accel_label_get_type

    protected static final int gtk_accel_label_get_type()

  BEGINNING OF GENERATED CODE

### gtk_accel_label_new

    protected static final Handle gtk_accel_label_new(java.lang.String str)

### gtk_accel_label_get_accel_widget

    protected static final Handle gtk_accel_label_get_accel_widget(Handle accel_label)

### gtk_accel_label_set_accel_widget

    protected static final void gtk_accel_label_set_accel_widget(Handle accel_label,
                                                                 Handle accelWidget)

### gtk_accel_label_get_accel_width

    protected static final int gtk_accel_label_get_accel_width(Handle accel_label)

### gtk_accel_label_refetch

    protected static final boolean gtk_accel_label_refetch(Handle accel_label)